Page 5 of 26 FirstFirst ... 3456715 ... LastLast
Results 41 to 50 of 255

Thread: HOWTO: Install (G)FCEUX 2.0 NES emulator

  1. #41
    Join Date
    Jan 2009
    Location
    US
    Beans
    10

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Hello, I am trying to install this on my Ubuntu mini laptop however when I am trying to launch FCEUX NES EMULATOR, I receive this error:


    gfceux error code 4: Could not find the fceux binary.
    Ensure that fceux is installed and in the $PATH.


    I have the latest build-essential installed already.

  2. #42
    Join Date
    Jan 2007
    Beans
    Hidden!
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Quote Originally Posted by AdventWolf View Post
    Hello, I am trying to install this on my Ubuntu mini laptop however when I am trying to launch FCEUX NES EMULATOR, I receive this error:


    gfceux error code 4: Could not find the fceux binary.
    Ensure that fceux is installed and in the $PATH.


    I have the latest build-essential installed already.
    try sudo scons install, if you compiled from source. if not, you'll have to say where you got it from.

  3. #43
    Join Date
    Jan 2009
    Location
    US
    Beans
    10

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    I did a sudo scons install earlier and installed everything. I did it again and I got this:

    scons: *** No SConstruct file found
    File "/usr/lib/scons/SCons/Script/Main.py", line 825, in _main
    $

    Does that mean anything?

  4. #44
    Join Date
    Jan 2007
    Beans
    Hidden!
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Quote Originally Posted by AdventWolf View Post
    I did a sudo scons install earlier and installed everything. I did it again and I got this:

    scons: *** No SConstruct file found
    File "/usr/lib/scons/SCons/Script/Main.py", line 825, in _main
    $

    Does that mean anything?
    you trying to install fceux or the frontend, gfceux? gfceux needs fceux installed first. I've installed gfceux with "sudo python setup.py install", and it runs fine.

  5. #45
    Join Date
    Jan 2009
    Location
    US
    Beans
    10

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    I am trying to install whatever NES Emu that will allow me to configure it. I already did the setup.py install for gfceux.

    The FCEU Ultra or whatever it was that you could download from the add/remove tool allowed me to play NES games, but I couldn't figure out how to configure the settings to use a joypad.

  6. #46
    Join Date
    Dec 2004
    Beans
    282

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Quote Originally Posted by AdventWolf View Post
    I am trying to install whatever NES Emu that will allow me to configure it. I already did the setup.py install for gfceux.

    The FCEU Ultra or whatever it was that you could download from the add/remove tool allowed me to play NES games, but I couldn't figure out how to configure the settings to use a joypad.
    fceu is NOT compatible with gfceux.

    if you want to use fceu (in the repos) use gfceu

    if you want to use the new and improved fceux use gfceux (not in repos)

  7. #47
    Join Date
    Jan 2009
    Location
    US
    Beans
    10

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Well since I can't get gfceux to work, I guess I'll try to get gfceu to work.

    When I try to run gfceu-0.6.1 I get:

    Could not find the ALSA OSS wrapper. GFCEU will not be able to share sound with other applications. On Debian based systems like Ubuntu, try the following command:
    sudo apt-get install alsa-oss

    I try that then I get:

    Package alsa-oss is not available, but it is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source
    E: Package alsa-oss has no installation candidate.

  8. #48
    Join Date
    Jan 2007
    Beans
    Hidden!
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Quote Originally Posted by AdventWolf View Post
    Well since I can't get gfceux to work, I guess I'll try to get gfceu to work.

    When I try to run gfceu-0.6.1 I get:

    Could not find the ALSA OSS wrapper. GFCEU will not be able to share sound with other applications. On Debian based systems like Ubuntu, try the following command:
    sudo apt-get install alsa-oss

    I try that then I get:

    Package alsa-oss is not available, but it is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source
    E: Package alsa-oss has no installation candidate.
    gfceux runs fine, but you need to compile fceux from here: http://fceux.com/web/htdocs/download.php. remove fceu first. or you can try mednafen from the repos, it emulates several other systems as well.

  9. #49
    Join Date
    Jan 2009
    Location
    US
    Beans
    10

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    I've downloaded that link at least 5 times in the past 2 days. Do I need both the fceu and gfceux to play a nes rom?

    I just want to start over. Ok everything nes emulator is off my computer, what do I need to download and install to play NES games and configure the menu?

    Is there a way for me to uninstall all the files? they don't like to be deleted.
    Last edited by AdventWolf; January 25th, 2009 at 02:34 AM.

  10. #50
    Join Date
    Jan 2007
    Beans
    Hidden!
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Quote Originally Posted by AdventWolf View Post
    I've downloaded that link at least 5 times in the past 2 days. Do I need both the fceu and gfceux to play a nes rom?
    you need both fceux and gfceux to have an emulator with a GUI. first install fceux with "scons" and "sudo scons install". then gfceux with "sudo python setup.py install".

Page 5 of 26 FirstFirst ... 3456715 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •